diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/test_sequence_add.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/test_sequence_add.py
index 0222621..9da0912 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/test_sequence_add.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/test_sequence_add.py
@@ -44,7 +44,7 @@ class SequenceAddTestCase(BaseTestGenerator):
         cls.server_connect_response, cls.server_group, cls.server_ids = \
             server_utils.connect_server(cls.tester)
         if len(cls.server_connect_response) == 0:
-            raise Exception("No Server(s) connected to add the database!!!")
+            raise Exception("No Server(s) connected to add the database.")
 
         # Add database
         database_utils.add_database(cls.tester, cls.server_connect_response,
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/test_sequence_delete.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/test_sequence_delete.py
index 8e74218..0b9bc9f 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/test_sequence_delete.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/test_sequence_delete.py
@@ -45,7 +45,7 @@ class SequenceDeleteTestCase(BaseTestGenerator):
         cls.server_connect_response, cls.server_group, cls.server_ids = \
             server_utils.connect_server(cls.tester)
         if len(cls.server_connect_response) == 0:
-            raise Exception("No Server(s) connected to add the database!!!")
+            raise Exception("No Server(s) connected to add the database.")
 
         # Add database(s)
         database_utils.add_database(cls.tester, cls.server_connect_response,
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/test_sequence_get.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/test_sequence_get.py
index 1941b98..549fd78 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/test_sequence_get.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/test_sequence_get.py
@@ -45,7 +45,7 @@ class SequenceGetTestCase(BaseTestGenerator):
         cls.server_connect_response, cls.server_group, cls.server_ids = \
             server_utils.connect_server(cls.tester)
         if len(cls.server_connect_response) == 0:
-            raise Exception("No Server(s) connected to add the database!!!")
+            raise Exception("No Server(s) connected to add the database.")
 
         # Add database(s)
         database_utils.add_database(cls.tester, cls.server_connect_response,
@@ -69,7 +69,7 @@ class SequenceGetTestCase(BaseTestGenerator):
             db_id = db_ids_dict[int(server_id)]
             schema_info = schema_ids_dict[int(server_id)]
             schema_id = schema_info[0]
-            sequence_id = sequence_ids_dict[server_id]
+            sequence_id = sequence_ids_dict[server_id][0]
             get_response = sequence_utils.verify_sequence(self.tester,
                                                           utils.SERVER_GROUP,
                                                           server_id,
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/test_sequence_put.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/test_sequence_put.py
index 5e449a3..5cdabce 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/test_sequence_put.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/test_sequence_put.py
@@ -47,7 +47,7 @@ class SequencePutTestCase(BaseTestGenerator):
         cls.server_connect_response, cls.server_group, cls.server_ids = \
             server_utils.connect_server(cls.tester)
         if len(cls.server_connect_response) == 0:
-            raise Exception("No Server(s) connected to add the database!!!")
+            raise Exception("No Server(s) connected to add the database.")
 
         # Add database(s)
         database_utils.add_database(cls.tester, cls.server_connect_response,
@@ -71,7 +71,7 @@ class SequencePutTestCase(BaseTestGenerator):
             db_id = db_ids_dict[int(server_id)]
             schema_info = schema_ids_dict[int(server_id)]
             schema_id = schema_info[0]
-            sequence_id = sequence_ids_dict[server_id]
+            sequence_id = sequence_ids_dict[server_id][0]
             get_response = sequence_utils.verify_sequence(self.tester,
                                                           utils.SERVER_GROUP,
                                                           server_id,
@@ -96,6 +96,8 @@ class SequencePutTestCase(BaseTestGenerator):
                     data=json.dumps(data),
                     follow_redirects=True)
                 self.assertEquals(put_response.status_code, 200)
+            else:
+                raise Exception("No sequence(s) to update.")
 
     @classmethod
     def tearDownClass(cls):
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/utils.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/utils.py
index 374048d..5a802e2 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/utils.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/utils.py
@@ -18,6 +18,7 @@ from regression import test_utils as utils
 import uuid
 
 SEQUENCE_URL = '/browser/sequence/obj/'
+SEQUENCE_DELETE_URL = '/browser/sequence/delete/'
 
 
 def get_sequence_config_data(schema_name, server_connect_data):
@@ -89,6 +90,8 @@ def write_sequence_info(response_data, server_id):
     """
 
     sequence_id = response_data['node']['_id']
+    sequence_label = response_data['node']['label']
+
     pickle_id_dict = utils.get_pickle_id_dict()
     if os.path.isfile(pickle_path):
         existing_server_id = open(pickle_path, 'rb')
@@ -96,11 +99,13 @@ def write_sequence_info(response_data, server_id):
         pickle_id_dict = tol_server_id
     if 'fid' in pickle_id_dict:
         if pickle_id_dict['seid']:
-            # Add the sequence_id as value in dict
-            pickle_id_dict["seid"][0].update({server_id: sequence_id})
+            # Add the sequence_id and sequence_label as value in dict
+            pickle_id_dict["seid"][0].update(
+                {server_id: [sequence_id, sequence_label]})
         else:
-            # Create new dict with server_id and sequence_id
-            pickle_id_dict["seid"].append({server_id: sequence_id})
+            # Create new dict with server_id, sequence_id and sequence_label
+            pickle_id_dict["seid"].append(
+                {server_id: [sequence_id, sequence_label]})
     sequence_output = open(pickle_path, 'wb')
     pickle.dump(pickle_id_dict, sequence_output)
     sequence_output.close()
@@ -131,7 +136,7 @@ def delete_sequence(tester):
         db_id = db_ids_dict[int(server_id)]
         schema_info = schema_ids_dict[int(server_id)]
         schema_id = schema_info[0]
-        sequence_id = sequence_ids_dict[server_id]
+        sequence_id = sequence_ids_dict[server_id][0]
         get_response = verify_sequence(tester,
                                        utils.SERVER_GROUP,
                                        server_id,
@@ -140,7 +145,7 @@ def delete_sequence(tester):
                                        sequence_id)
         if get_response.status_code == 200:
             delete_response = tester.delete(
-                SEQUENCE_URL + str(utils.SERVER_GROUP) + '/' +
+                SEQUENCE_DELETE_URL + str(utils.SERVER_GROUP) + '/' +
                 str(server_id) + '/' +
                 str(db_id) + '/' +
                 str(schema_id) + '/' +
@@ -150,3 +155,5 @@ def delete_sequence(tester):
             assert delete_response.status_code == 200
             del_resp_data = json.loads(delete_response.data.decode('utf-8'))
             assert del_resp_data['success'] == 1
+        else:
+            raise Exception("No sequence(s) to delete.")
